rte_memzone(3)

NAME
rte_memzone

SYNOPSIS

#include <rte_memzone.h>

  Data Fields

char name [RTE_MEMZONE_NAMESIZE]
rte_iova_t iova
size_t len
uint64_t hugepage_sz
int32_t socket_id
uint32_t flags

Detailed Description

A structure describing a memzone, which is a contiguous portion of physical memory identified by a name.

Definition at line 48 of file rte_memzone.h.

Field Documentation

  char name[RTE_MEMZONE_NAMESIZE]
Name of the memory zone.

Definition at line 51 of file rte_memzone.h.

  rte_iova_t iova
Start IO address.

Definition at line 53 of file rte_memzone.h.

  void* addr
Start virtual address.

Definition at line 55 of file rte_memzone.h.

  uint64_t addr_64
Makes sure addr is always 64-bits

Definition at line 56 of file rte_memzone.h.

  size_t len
Length of the memzone.

Definition at line 58 of file rte_memzone.h.

  uint64_t hugepage_sz
The page size of underlying memory

Definition at line 60 of file rte_memzone.h.

  int32_t socket_id
NUMA socket ID.

Definition at line 62 of file rte_memzone.h.

  uint32_t flags
Characteristics of this memzone.

Definition at line 64 of file rte_memzone.h.

Author

Generated automatically by Doxygen for DPDK from the source code.